#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    # Version 1.0.5 requires >= Wheezy (xproto >= 7.0.17)
    tar xjf xconsole-1.0.4.tar.bz2
    cd xconsole-1.0.4
    ./configure --prefix=/usr --disable-silent-rules \
	    --with-appdefaultdir=/usr/lib/X11/app-defaults
    make APPDEFS_LIBS='-lXt -lX11'
    strip -R .note -R .comment xconsole
    mkdir -p ../xconsole/bin
    cp xconsole ../xconsole/bin/
    cd ..
    rm -rf xconsole-1.0.4
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
